

def solve():
    h, w = map(int, input().split())
    S = h*w
    n = 0
    cnt = S
    while S/(2**n) > 2:
        cnt += S
        n += 1

    if S/(2**n) == 2:
        n += 1
    print(cnt+(2**n))

solve()
